Index: FOIAVistA/tag/r/SURGERY-SR/SROAPRT2.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPRT2.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPRT2.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPRT2 ;BIR/MAM - PRINT PREOP INFO (PAGE 2) ;11/28/07
- ;;3.0; Surgery ;**38,125,137,153,160,166**;24 Jun 93;Build 6
+SROAPRT2 ;BIR/MAM - PRINT PREOP INFO (PAGE 2) ;04/24/07
+ ;;3.0; Surgery ;**38,125,137,153,160**;24 Jun 93;Build 7
  I $E(IOST)'="P" W !,?28,"PREOPERATIVE INFORMATION"
  N SRX,Y S SRA(200)=$G(^SRF(SRTN,200)),SRA(206)=$G(^SRF(SRTN,206))
@@ -10,4 +10,6 @@
  S Y=$P(SRA(200),"^",19),SRX=332,SRAO("2A")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",21),SRX=333,SRAO("2B")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",22),SRX=398,SRAO("2I")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",23),SRX=399,SRAO("2H")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",24),SRX=400,SRAO("2C")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",25),SRX=334,SRAO("2D")=$$OUT(SRX,Y)_"^"_SRX
@@ -37,4 +39,6 @@
  W !,"CVA/Stroke w/o Neuro Deficit:",?31,$P(SRAO("2F"),"^"),?40,"Pregnancy:",?(74-$L($P(SRAO("3J"),"^"))),$P(SRAO("3J"),"^")
  W !,"Tumor Involving CNS:",?31,$P(SRAO("2G"),"^")
+ W !,"Paraplegia:",?31,$P(SRAO("2H"),"^")
+ W !,"Quadriplegia:",?31,$P(SRAO("2I"),"^")
  I $E(IOST)="P" W !
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPRT4.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPRT4.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPRT4.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPRT4 ;BIR/MAM - PRINT ASSESSMENT (CONT.) ;01/14/08
- ;;3.0; Surgery ;**38,125,153,160,166**;24 Jun 93;Build 6
+SROAPRT4 ;BIR/MAM - PRINT ASSESSMENT (CONT.) ;06/28/06
+ ;;3.0; Surgery ;**38,125,153,160**;24 Jun 93;Build 7
  ;K SRA S SRA(201)=$G(^SRF(SRTN,201)),SRA(202)=$G(^SRF(SRTN,202))
  K SRA F I=201,202,203,204,202.1 S SRA(I)=$G(^SRF(SRTN,I))
@@ -7,16 +7,16 @@
  W !,$J("Serum Sodium: ",39) S X=$P(SRA(201),"^") W X S X=$P(SRA(202),"^") I X D DATE W ?48,"("_Y_")"
  W !,$J("Serum Creatinine: ",39) S X=$P(SRA(201),"^",4) W X S X=$P(SRA(202),"^",4) I X D DATE W ?48,"("_Y_")"
- W !,$J("BUN: ",39) S X=$P(SRA(201),"^",5) W X S X=$P(SRA(202),"^",5) I X D DATE W ?48,"("_Y_")"
- W !,$J("Serum Albumin: ",39) S X=$P(SRA(201),"^",8) W X S X=$P(SRA(202),"^",8) I X D DATE W ?48,"("_Y_")"
+ W !,$J("BUN: ",39) S X=$P(SRA(201),"^",5) W X I X S X=$P(SRA(202),"^",5) I X D DATE W ?48,"("_Y_")"
+ W !,$J("Serum Albumin: ",39) S X=$P(SRA(201),"^",8) W X I X S X=$P(SRA(202),"^",8) I X D DATE W ?48,"("_Y_")"
  W !,$J("Total Bilirubin: ",39) S X=$P(SRA(201),"^",9) W X S X=$P(SRA(202),"^",9) I X D DATE W ?48,"("_Y_")"
- W !,$J("SGOT: ",39) S X=$P(SRA(201),"^",11) W X S X=$P(SRA(202),"^",11) I X D DATE W ?48,"("_Y_")"
- W !,$J("Alkaline Phosphatase: ",39) S X=$P(SRA(201),"^",12) W X S X=$P(SRA(202),"^",12) I X D DATE W ?48,"("_Y_")"
+ W !,$J("SGOT: ",39) S X=$P(SRA(201),"^",11) W X I X S X=$P(SRA(202),"^",11) I X D DATE W ?48,"("_Y_")"
+ W !,$J("Alkaline Phosphatase: ",39) S X=$P(SRA(201),"^",12) W X I X S X=$P(SRA(202),"^",12) I X D DATE W ?48,"("_Y_")"
  W !,$J("White Blood Count: ",39) S X=$P(SRA(201),"^",13) W X S X=$P(SRA(202),"^",13) I X D DATE W ?48,"("_Y_")"
- W !,$J("Hematocrit: ",39) S X=$P(SRA(201),"^",14) W X S X=$P(SRA(202),"^",14) I X D DATE W ?48,"("_Y_")"
+ W !,$J("Hematocrit: ",39) S X=$P(SRA(201),"^",14) W X I X S X=$P(SRA(202),"^",14) I X D DATE W ?48,"("_Y_")"
  W !,$J("Platelet Count: ",39) S X=$P(SRA(201),"^",15) W X S X=$P(SRA(202),"^",15) I X D DATE W ?48,"("_Y_")"
  W !,$J("PTT: ",39) S X=$P(SRA(201),"^",16) W X S X=$P(SRA(202),"^",16) I X D DATE W ?48,"("_Y_")"
- W !,$J("PT: ",39) S X=$P(SRA(201),"^",17) W X S X=$P(SRA(202),"^",17) I X D DATE W ?48,"("_Y_")"
- W !,$J("INR: ",39) S X=$P(SRA(201),"^",27) W X S X=$P(SRA(202),"^",27) I X D DATE W ?48,"("_Y_")"
- W !,$J("Hemoglobin A1c: ",39) S X=$P(SRA(201),"^",28) W X S X=$P(SRA(202.1),"^") I X D DATE W ?48,"("_Y_")"
+ W !,$J("PT: ",39) S X=$P(SRA(201),"^",17) W X I X S X=$P(SRA(202),"^",17) I X D DATE W ?48,"("_Y_")"
+ W !,$J("INR: ",39) S X=$P(SRA(201),"^",27) W X I X S X=$P(SRA(202),"^",27) I X D DATE W ?48,"("_Y_")"
+ W !,$J("Hemoglobin A1c: ",39) S X=$P(SRA(201),"^",28) W X I X S X=$P(SRA(202.1),"^") D DATE W ?48,"("_Y_")"
  I $E(IOST)="P" W !!
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPRT5.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPRT5.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPRT5.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPRT5 ;BIR/MAM - PRINT ASSESSMENT (CONT) ;01/14/08
- ;;3.0; Surgery ;**38,88,153,166**;24 Jun 93;Build 6
+SROAPRT5 ;BIR/MAM - PRINT ASSESSMENT (CONT) ;06/28/06
+ ;;3.0; Surgery ;**38,88,153**;24 Jun 93;Build 11
  K SRA S SRA(203)=$G(^SRF(SRTN,203)),SRA(204)=$G(^SRF(SRTN,204))
  W:$E(IOST)="P" ! W !,?22,"POSTOPERATIVE LABORATORY RESULTS",!!,?29," * Highest Value",!,?29,"** Lowest Value"
@@ -9,7 +9,7 @@
  W !,$J("** Potassium: ",39) S X=$P(SRA(203),"^",4) W X S X=$P(SRA(204),"^",4) I X D DATE W ?48,"("_Y_")"
  W !,$J("* Serum Creatinine: ",39) S X=$P(SRA(203),"^",6) W X S X=$P(SRA(204),"^",6) I X D DATE W ?48,"("_Y_")"
- W !,$J("* CPK: ",39) S X=$P(SRA(203),"^",7) W X S X=$P(SRA(204),"^",7) I X D DATE W ?48,"("_Y_")"
+ W !,$J("* CPK: ",39) S X=$P(SRA(203),"^",7) W X I X S X=$P(SRA(204),"^",7) I X D DATE W ?48,"("_Y_")"
  W !,$J("* CPK-MB Band: ",39) S X=$P(SRA(203),"^",8) W X S X=$P(SRA(204),"^",8) I X D DATE W ?48,"("_Y_")"
- W !,$J("* Total Bilirubin: ",39) S X=$P(SRA(203),"^",9) W X S X=$P(SRA(204),"^",9) I X D DATE W ?48,"("_Y_")"
+ W !,$J("* Total Bilirubin: ",39) S X=$P(SRA(203),"^",9) W X I X S X=$P(SRA(204),"^",9) I X D DATE W ?48,"("_Y_")"
  W !,$J("* White Blood Count: ",39) S X=$P(SRA(203),"^",10) W X S X=$P(SRA(204),"^",10) I X D DATE W ?48,"("_Y_")"
  W !,$J("** Hematocrit: ",39) S X=$P(SRA(203),"^",12) W X S X=$P(SRA(204),"^",12) I X D DATE W ?48,"("_Y_")"
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPS1.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPS1.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPS1.m	(revision 636)
@@ -1,7 +1,4 @@
-SROAPS1 ;BIR/MAM - PREOP INFO (PAGE 1) ;12/12/07
- ;;3.0; Surgery ;**38,47,125,153,166**;24 Jun 93;Build 6
- ;
- ; Reference to EN1^GMRVUT0 supported by DBIA #1446
- ;
+SROAPS1 ;BIR/MAM - PREOP INFO (PAGE 1) ;06/08/06
+ ;;3.0; Surgery ;**38,47,125,153**;24 Jun 93;Build 11
  N I S SRPAGE="PAGE: 1 OF 2" D HDR^SROAUTL,PRE1
  W ! F I=1:1:80 W "-"
@@ -13,8 +10,10 @@
  S Y=$P(SRA(200),"^",2),SRX=346,SRAO("1C")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",3),SRX=202,SRAO("1D")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P(SRA(200),"^",4),SRX=246,SRAO("1E")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P(SRA(200),"^",6),SRX=325,SRAO("1F")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P(SRA(200),"^",7),SRX=238,SRAO("1G")=$$OUT(SRX,Y)_"^"_SRX
- S Y=$P($G(^SRF(SRTN,200.1)),"^",2),SRX=492,SRAO("1H")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P($G(^SRF(SRTN,208)),"^",9),SRX=202.1,SRAO("1E")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",4),SRX=246,SRAO("1F")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",6),SRX=325,SRAO("1G")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",7),SRX=238,SRAO("1H")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",8),SRX=240,SRAO("1I")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P($G(^SRF(SRTN,200.1)),"^",2),SRX=492,SRAO("1J")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",9),SRX=241,SRAO(2)=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",10),SRX=204,SRAO("2A")=$$OUT(SRX,Y)_"^"_SRX
@@ -35,14 +34,16 @@
  S Y=$P(SRA(200),"^",41),SRX=329,SRAO("6A")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",42),SRX=330,SRAO("6B")=$$OUT(SRX,Y)_"^"_SRX K SRA
- W "1. GENERAL:",?32,$P(SRAO(1),"^"),?41,"4. GASTROINTESTINAL:",?76,$P(SRAO(4),"^")
- W !,"  A. Height:" S Y=$P(SRAO("1A"),"^") W:Y'="NS" ?14,$J($P(Y,"^"),25) W:Y="NS" ?32,Y
- W ?43,"A. Esophageal Varices:",?76,$P(SRAO("4A"),"^")
+ W "1. GENERAL:",?32,$P(SRAO(1),"^"),?41,"3. HEPATOBILIARY:",?76,$P(SRAO(3),"^")
+ W !,"  A. Height:" S Y=$P(SRAO("1A"),"^") W ?($S(Y="NS":19,1:24)),$J($P(Y,"^"),15),?43,"A. Ascites:",?76,$P(SRAO("3A"),"^")
  W !,"  B. Weight:" S Y=$P(SRAO("1B"),"^") W ?($S(Y="NS":19,1:24)),$J(Y,15)
- W !,"  C. Diabetes Mellitus:",?32,$P(SRAO("1C"),"^"),?41,"5. CARDIAC:",?76,$P(SRAO(5),"^")
- W !,"  D. Current Smoker W/I 1 Year:",?32,$P(SRAO("1D"),"^"),?43,"A. CHF Within 1 Month:",?76,$P(SRAO("5A"),"^")
- W !,"  E. ETOH > 2 Drinks/Day:",?32,$P(SRAO("1E"),"^"),?43,"B. MI Within 6 Months:",?76,$P(SRAO("5B"),"^")
- W !,"  F. Dyspnea: ",?14,$J($P(SRAO("1F"),"^"),25),?43,"C. Previous PCI:",?76,$P(SRAO("5C"),"^")
- W !,"  G. DNR Status: ",?32,$P(SRAO("1G"),"^"),?43,"D. Previous Cardiac Surgery:",?76,$P(SRAO("5D"),"^")
- W !,"  H. Preop Funct Status: ",$J($P(SRAO("1H"),"^"),17),?43,"E. Angina Within 1 Month:",?76,$P(SRAO("5E"),"^")
+ W !,"  C. Diabetes Mellitus:",?32,$P(SRAO("1C"),"^"),?41,"4. GASTROINTESTINAL:",?76,$P(SRAO(4),"^")
+ W !,"  D. Current Smoker W/I 1 Year:",?32,$P(SRAO("1D"),"^"),?43,"A. Esophageal Varices:",?76,$P(SRAO("4A"),"^")
+ W !,"  E. Pack/Years:",?32,$P(SRAO("1E"),"^")
+ W !,"  F. ETOH > 2 Drinks/Day:",?32,$P(SRAO("1F"),"^"),?41,"5. CARDIAC:",?76,$P(SRAO(5),"^")
+ W !,"  G. Dyspnea: ",?14,$J($P(SRAO("1G"),"^"),25),?43,"A. CHF Within 1 Month:",?76,$P(SRAO("5A"),"^")
+ W !,"  H. DNR Status: ",?32,$P(SRAO("1H"),"^"),?43,"B. MI Within 6 Months:",?76,$P(SRAO("5B"),"^")
+ W !,"  I. Pre-illness Funct",?43,"C. Previous PCI:",?76,$P(SRAO("5C"),"^")
+ W !,?17,"Status: ",$J($P(SRAO("1I"),"^"),17),?43,"D. Previous Cardiac Surgery:",?76,$P(SRAO("5D"),"^")
+ W !,"  J. Preop Funct Status: ",$J($P(SRAO("1J"),"^"),17),?43,"E. Angina Within 1 Month:",?76,$P(SRAO("5E"),"^")
  W !,?43,"F. Hypertension Requiring Meds:",?76,$P(SRAO("5F"),"^")
  W !,"2. PULMONARY:",?32,$P(SRAO(2),"^")
@@ -50,13 +51,11 @@
  W !,"  B. History of Severe COPD:",?32,$P(SRAO("2B"),"^"),?43,"A. Revascularization/Amputation:",?76,$P(SRAO("6A"),"^")
  W !,"  C. Current Pneumonia:",?32,$P(SRAO("2C"),"^"),?43,"B. Rest Pain/Gangrene:",?76,$P(SRAO("6B"),"^")
- W !!,"3. HEPATOBILIARY:",?32,$P(SRAO(3),"^"),!,"  A. Ascites:",?32,$P(SRAO("3A"),"^")
  Q
 OUT(SRFLD,SRY) ; get data in output form
- N C,Y,Z
+ N C,Y
  S Y=SRY,C=$P(^DD(130,SRFLD,0),"^",2) D:Y'="" Y^DIQ
  I Y="NO STUDY" S Y="NS"
- I SRFLD=237!(SRFLD=346) S Y=$E(Y,1,15)
- I SRFLD=236 S Z=$P($G(^SRF(SRTN,200.1)),"^",7) I Z'="" S Y="("_$E(Z,4,5)_"/"_$E(Z,6,7)_"/"_$E(Z,2,3)_")  "_Y
- I SRFLD=492 D
+ I SRFLD=236!(SRFLD=237)!(SRFLD=346) S Y=$E(Y,1,15)
+ I SRFLD=240!(SRFLD=492) D
  .I SRY=2 S Y="PARTIAL DEPENDENT" Q
  .I SRY=1 S Y=Y_"    " Q
@@ -65,17 +64,10 @@
  Q Y
 HW ; get weight & height from Vitals
- N SREND,SREQ,SREX,SREY,SRSTRT
+ N SREND,SREX,SRSTRT
 WT I $P($G(^SRF(SRTN,206)),"^",2)="" D
  .S SREND=$P($G(^SRF(SRTN,0)),"^",9),SRSTRT=$$FMADD^XLFDT(SREND,-30),SREX=$$HW^SROACL1(SRSTRT,SREND,"WT")
- .I SREX'="" S SREX=SREX+.5\1 D CHK^DIE(130,237,"E",SREX,.SREY) I SREY'="^" S $P(^SRF(SRTN,206),"^",2)=SREY
-HT I $P($G(^SRF(SRTN,206)),"^")'="" Q
- N GMRVSTR,SRBRDT,SRBIEN,SRBDATA,SRHTDT
- K ^UTILITY($J,"GMRVD"),RESULTS S SREND=$P($G(^SRF(SRTN,0)),"^",9),GMRVSTR="HT",GMRVSTR(0)="^"_SREND_"^^0"
- D EN1^GMRVUT0 Q:'$D(^UTILITY($J,"GMRVD"))
- S SRBRDT="",SRBRDT=$O(^UTILITY($J,"GMRVD","HT",SRBRDT)) Q:'SRBRDT  D
- .S SRBIEN=0 F  S SRBIEN=$O(^UTILITY($J,"GMRVD","HT",SRBRDT,SRBIEN)) Q:'SRBIEN  D
- ..S SRBDATA=$G(^UTILITY($J,"GMRVD","HT",SRBRDT,SRBIEN)),SREX=$P(SRBDATA,"^",8)
- ..I SREX'="" S SREX=SREX+.5\1 D CHK^DIE(130,236,"E",SREX,.SREY) I SREY'="^" D
- ...S $P(^SRF(SRTN,206),"^")=SREY
- ...S SRHTDT=$P(SRBDATA,"^") I SRHTDT'="" S $P(^SRF(SRTN,200.1),"^",7)=SRHTDT
+ .I SREX'="" S SREX=SREX+.5\1,$P(^SRF(SRTN,206),"^",2)=SREX
+HT I $P($G(^SRF(SRTN,206)),"^")="" D
+ .S SREND=$P($G(^SRF(SRTN,0)),"^",9),SRSTRT=$$FMADD^XLFDT(SREND,-365),SREX=$$HW^SROACL1(SRSTRT,SREND,"HT")
+ .I SREX'="" S SREX=SREX+.5\1,$P(^SRF(SRTN,206),"^")=SREX
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROAPS2.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAPS2.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAPS2.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAPS2 ;BIR/MAM - PREOP INFO (PAGE 2) ;11/26/07
- ;;3.0; Surgery ;**38,47,125,153,160,166**;24 Jun 93;Build 6
+SROAPS2 ;BIR/MAM - PREOP INFO (PAGE 2) ;04/24/07
+ ;;3.0; Surgery ;**38,47,125,153,160**;24 Jun 93;Build 7
  S SRPAGE="PAGE: 2 OF 2" D HDR^SROAUTL,PRE2
  W !! F I=1:1:80 W "-"
@@ -13,4 +13,6 @@
  S Y=$P(SRA(200),"^",19),SRX=332,SRAO("2A")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",21),SRX=333,SRAO("2B")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",22),SRX=398,SRAO("2I")=$$OUT(SRX,Y)_"^"_SRX
+ S Y=$P(SRA(200),"^",23),SRX=399,SRAO("2H")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",24),SRX=400,SRAO("2C")=$$OUT(SRX,Y)_"^"_SRX
  S Y=$P(SRA(200),"^",25),SRX=334,SRAO("2D")=$$OUT(SRX,Y)_"^"_SRX
@@ -40,4 +42,6 @@
  W !,"  F. CVA/Stroke w/o Neuro Deficit:",?(38-$L($P(SRAO("2F"),"^"))),$P(SRAO("2F"),"^"),?40,"  J. Pregnancy:",?(79-$L($P(SRAO("3J"),"^"))),$P(SRAO("3J"),"^")
  W !,"  G. Tumor Involving CNS:",?(38-$L($P(SRAO("2G"),"^"))),$P(SRAO("2G"),"^")
+ W !,"  H. Paraplegia:",?(38-$L($P(SRAO("2H"),"^"))),$P(SRAO("2H"),"^")
+ W !,"  I. Quadriplegia:",?(38-$L($P(SRAO("2I"),"^"))),$P(SRAO("2I"),"^")
  Q
 OUT(SRFLD,SRY) ; get data in output form
Index: FOIAVistA/tag/r/SURGERY-SR/SROASS.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROASS.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROASS.m	(revision 636)
@@ -1,4 +1,4 @@
 SROASS ;BIR/MAM - SELECT ASSESSMENT ;01/18/07
- ;;3.0; Surgery ;**38,47,64,94,121,100,160,166**;24 Jun 93;Build 6
+ ;;3.0; Surgery ;**38,47,64,94,121,100,160**;24 Jun 93;Build 7
 PST K:$D(DUZ("SAV")) SRNEW K SRTN W !! S SRSOUT=0
  N SRSEL D ^SROPSEL G:'$D(DFN) END S SRANM=VADM(1)_"  "_VA("PID")
@@ -26,5 +26,5 @@
  S:X="" X=1 I X<1!(X>3)!(X'?.N) D HELP G ENTER
  I X=2 D ^SROADEL W !!,"Press <RET> to continue  " R X:DTIME W @IOF K SRTN G END
- I X=3 D @($S($P(SR("RA"),"^",2)="C":"^SROACOM1",1:"^SROACOM")) K SRTN G END
+ I X=3 D ^SROACOM K SRTN G END
  Q
 EXCL I $P($G(^SRO(136,SRTN,10)),"^"),'$$XL^SROAX(SRTN) D
Index: FOIAVistA/tag/r/SURGERY-SR/SROASSP.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROASSP.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROASSP.m	(revision 636)
@@ -1,4 +1,4 @@
-SROASSP ;BIR/MAM - PRINT A COMPLETED ASSESSMENT ;12/05/07
- ;;3.0; Surgery ;**38,94,166**;24 Jun 93;Build 6
+SROASSP ;B'HAM ISC/MAM - PRINT A COMPLETED ASSESSMENT ; [04/06/00  12:05 PM ]
+ ;;3.0; Surgery ;**38,94**;24 Jun 93
 BATCH ;
  W ! K DIR S DIR("?",1)="Enter YES to batch print all completed or transmitted assessments for a",DIR("?",2)="selected date range.  Enter NO or press return to print one specific",DIR("?")="assessment."
@@ -7,6 +7,6 @@
  S SRPRINT=1 K SRNEW D ^SROASS I '$D(SRTN) S SRSOUT=1 G END
  W ! K %ZIS,IO("Q"),POP S %ZIS("A")="Print the Completed Assessment on which Device: ",%ZIS="Q" D ^%ZIS I POP S SRSOUT=1 G END
- I $D(IO("Q")) K IO("Q") S ZTDESC="Completed Surgery Risk Assessment",ZTSAVE("SRSITE*")="",ZTSAVE("SRTN")="",ZTRTN=$S($P($G(^SRF(SRTN,"RA")),"^",2)="C":"EN^SROACOM1",1:"EN^SROACOM") D ^%ZTLOAD G END
- D @($S($P($G(^SRF(SRTN,"RA")),"^",2)="C":"EN^SROACOM1",1:"EN^SROACOM"))
+ I $D(IO("Q")) K IO("Q") S ZTDESC="Completed Surgery Risk Assessment",ZTSAVE("SRSITE*")="",ZTSAVE("SRTN")="",ZTRTN="EN^SROACOM" D ^%ZTLOAD G END
+ D EN^SROACOM
 END D ^%ZISC W @IOF K SRTN D ^SRSKILL
  Q
Index: FOIAVistA/tag/r/SURGERY-SR/SROATCM3.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROATCM3.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROATCM3.m	(revision 636)
@@ -1,4 +1,4 @@
-SROATCM3 ;BIR/SJA - STUFF TRANMISSION IN ^TMP ;12/03/07
- ;;3.0; Surgery ;**125,135,153,164,166**;24 Jun 93;Build 6
+SROATCM3 ;BIR/SJA - STUFF TRANMISSION IN ^TMP ;08/24/07
+ ;;3.0; Surgery ;**125,135,153,164**;24 Jun 93;Build 2
  N SRDISP,NYUK S SRDISP="",NYUK=$P(SRRES(1),U,2),SRA(209.1)=$G(^SRF(SRTN,209.1)),SRA(207.1)=$G(^SRF(SRTN,207.1))
  I NYUK'="" D
@@ -14,7 +14,6 @@
  S SHEMP=SHEMP_$J($P(SRA(209),"^",11),2)_$J(Y,5)
  S X=$P(SRA(209),"^",12) S:X="" X="N" S SHEMP=SHEMP_$J(X,2)
- ; CT Surgery Consult Date and cause for delay
+ ; CT Surgery Consult Date
  S SRDATE=$P(SRA(209),"^",15),SRDATE=$$LJ^XLFSTR(SRDATE,7,0),SHEMP=SHEMP_SRDATE
- S X=$P(SRA(209),"^",16),SHEMP=SHEMP_$J(X,2)
  S ^TMP("SRA",$J,SRAMNUM,SRACNT,0)=SHEMP,SRACNT=SRACNT+1
 LN27 ;Line #27 - Other Cardiac Procedures
Index: FOIAVistA/tag/r/SURGERY-SR/SROATM1.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROATM1.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROATM1.m	(revision 636)
@@ -1,4 +1,4 @@
-SROATM1 ;BIR/MAM - NON CARDIAC TRANSMISSION ;12/10/07
- ;;3.0; Surgery ;**27,38,47,60,62,81,88,93,95,125,153,160,166**;24 Jun 93;Build 6
+SROATM1 ;BIR/MAM - NON CARDIAC TRANSMISSION ;05/10/07
+ ;;3.0; Surgery ;**27,38,47,60,62,81,88,93,95,125,153,160**;24 Jun 93;Build 7
  ;** NOTICE: This routine is part of an implementation of a nationally
  ;**         controlled procedure. Local modifications to this routine
@@ -7,11 +7,10 @@
  ; Reference to ^DIC(45.3 supported by DBIA #218
  ;
- N SRINTUB,SRDTH,SRPID,SRCDT,SRCREQ F I=0,200,200.1,206 S SRA(I)=$G(^SRF(SRTN,I))
+ N SRINTUB,SRDTH,SRPID F I=0,200,200.1,206 S SRA(I)=$G(^SRF(SRTN,I))
  S DFN=$P(SRA(0),"^") N I D DEM^VADPT S SRANAME=VADM(1),SEX=$P(VADM(5),"^"),Z=$P(VADM(3),"^"),SRSDATE=$E($P(SRA(0),"^",9),1,12),Y=$E(SRSDATE,1,7),AGE=$E(Y,1,3)-$E(Z,1,3)-($E(Y,4,7)<$E(Z,4,7))
  S SRPID=VA("PID"),SRPID=$TR(SRPID,"-","") ; remove hyphens from PID
  S X=$$SITE^SROUTL0(SRTN),SRDIV=$S(X:$P(^SRO(133,X,0),"^"),1:""),SRDIV=$S(SRDIV:$$GET1^DIQ(4,SRDIV,99),1:SRASITE)
  S X=$P($G(^SRF(SRTN,205)),"^",3),SRDTH=$S(X:X,1:$P(VADM(6),"^"))
- S SRCDT=$P($G(^SRF(SRTN,209)),"^",15),SRCREQ=$P($G(^SRF(SRTN,209)),"^",17)
- S SHEMP=">"_$J(SRASITE,3)_$J(SRTN,7)_"  1"_DT_$J(AGE,3)_$J(SEX,1)_$J(SRSDATE,12)_$J(SRPID,20)_$J(SRDIV,6)_$J(SRDTH,12)_$J(SRCDT,7)_$J(SRCREQ,7)
+ S SHEMP=">"_$J(SRASITE,3)_$J(SRTN,7)_"  1"_DT_$J(AGE,3)_$J(SEX,1)_$J(SRSDATE,12)_$J(SRPID,20)_$J(SRDIV,6)_$J(SRDTH,12)
  S ^TMP("SRA",$J,SRAMNUM,SRACNT,0)=SHEMP,SHEMP=$E(SHEMP,1,11)_"  2",SRACNT=SRACNT+1
  S NYUK=$P(SRA(200),"^",2) D ONE S SHEMP=SHEMP_MOE,NYUK=$P(SRA(200),"^",3) D ONE S SHEMP=SHEMP_MOE,NYUK=$P(SRA(200),"^",4) D ONE S SHEMP=SHEMP_MOE,NYUK=$P(SRA(200.1),"^",2) D ONE S SHEMP=SHEMP_MOE
Index: FOIAVistA/tag/r/SURGERY-SR/SROATMNO.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROATMNO.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROATMNO.m	(revision 636)
@@ -1,4 +1,4 @@
-SROATMNO ;BIR/MAM - TRANSMIT NO ASSESSMENT ;12/18/07
- ;;3.0; Surgery ;**27,38,47,62,68,79,83,81,88,93,95,97,129,125,142,153,160,166**;24 Jun 93;Build 6
+SROATMNO ;BIR/MAM - TRANSMIT NO ASSESSMENT ;05/10/07
+ ;;3.0; Surgery ;**27,38,47,62,68,79,83,81,88,93,95,97,129,125,142,153,160**;24 Jun 93;Build 7
  ;** NOTICE: This routine is part of an implementation of a nationally
  ;**         controlled procedure. Local modifications to this routine
@@ -15,5 +15,4 @@
  I $P($G(^SRF(SRTN,30)),"^")!$P($G(^SRF(SRTN,31)),"^",8)!'$P($G(^SRF(SRTN,.2)),"^",12)!($P($G(^SRF(SRTN,"NON")),"^")="Y") K ^SRF("AQ",TDATE,SRTN) S $P(^SRF(SRTN,.4),"^",2)="" Q
  I $P($G(^SRF(SRTN,"RA")),"^",6)="Y",$P($G(^SRF(SRTN,"RA")),"^",2)="N" K ^SRF("AQ",TDATE,SRTN) Q
- I $P($G(^SRF(SRTN,0)),"^",9)="" K ^SRF("AQ",TDATE,SRTN) Q
  S SR10SP="          " K DA,DIE,DR S DA=SRTN,DIE=130,DR="905///R" D ^DIE K DR,DA,DIE
  S SRA(0)=^SRF(SRTN,0),DATE=$E($P(SRA(0),"^",9),1,7),SPEC=$P(SRA(0),"^",4) S:SPEC SPEC=$P(^DIC(45.3,$P(^SRO(137.45,SPEC,0),"^",2),0),"^")
@@ -39,5 +38,5 @@
  D OCC
  S SRNODE="  X" S:$P($G(^SRF(SRTN,"RA")),U,6)="N" SRNODE="  *" S:$P($G(^SRF(SRTN,"RA")),U,2)="C" SRNODE="  C"
- S SRTEMP="/"_$J(SRASITE,3)_$J(SRTN,7)_SRNODE_$J(DATE,7)_$J(SRTECH,3)_$J(EMERG,1)_$J(SPEC,3)_$J(CPT,5)_$J(EXC,1)_$J(SRPID,20)_$J(SRDIV,6)_" "
+ S SRTEMP="/"_$J(SRASITE,3)_$J(SRTN,7)_SRNODE_DATE_$J(SRTECH,3)_$J(EMERG,1)_$J(SPEC,3)_$J(CPT,5)_$J(EXC,1)_$J(SRPID,20)_$J(SRDIV,6)_" "
  S SRTEMP=SRTEMP_$J(SRMAJMIN,1)_$J($E(SRDEATH,1,7),7)_$J(SRDTHUR,1)_$J(SRSTATUS,1)_$J(SRAGE,3)_$J(SRASA,2)_$J(SRADMIT,1)_SRTMP
  K CPT,SRMOD F SRZ=1:1:10 S (CPT(SRZ),SRMOD(SRZ))=""
Index: FOIAVistA/tag/r/SURGERY-SR/SROAUTL.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAUTL.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAUTL.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAUTL ;BIR/ADM - RISK ASSESSMENT UTILITY ;03/03/08
- ;;3.0; Surgery ;**38,46,47,63,81,88,95,112,100,125,134,142,153,160,166**;24 Jun 93;Build 6
+SROAUTL ;BIR/ADM - RISK ASSESSMENT UTILITY ;02/14/07
+ ;;3.0; Surgery ;**38,46,47,63,81,88,95,112,100,125,134,142,153,160**;24 Jun 93;Build 7
  I $G(SRSUPCPT)=2 G NCODE
  N SRCMOD,SRCOMMA,X K SRHDR S DFN=$P(^SRF(SRTN,0),"^") D DEM^VADPT S SRHDR=VADM(1)_" ("_VA("PID")_")      Case #"_SRTN
@@ -42,5 +42,5 @@
  I $$CARD,X="NA"!(X="NS") K X
  Q
-DATE ; called by output transform on several date fields
+DATE ; called by output transmform on several date fields
  I $D(Y),Y="NA"!(Y="NS") Q
  N SRY S SRY=Y D DD^%DT
@@ -96,7 +96,7 @@
 OCCEND K ^TMP("SROCC",$J)
  Q
-PREOP S DR="236;237;346;202;246;325;238;492;204;203;326;212;213;396;394;220;266;395;208;329;330;328;211;332;333;400;334;335;336;401;338;218;339;215;216;217;338.1;338.2;218.1;269"
+PREOP S DR="236;237;346;202;202.1;246;325;238;240;492;204;203;326;212;213;396;394;220;266;395;208;329;330;328;211;332;333;398;399;400;334;335;336;401;338;218;339;215;216;217;338.1;338.2;218.1;269"
  Q
-DEM S DR="413;.011;247;418;419;420;421;452;453;454;342;513;516"
+DEM S DR="413;.011;247;418;419;420;421;452;453;454;342"
  Q
 LAB S DR="270;304;224;291;223;290;225;292;228;295;227;294;229;296;230;297;234;301;231;298;233;300;232;299;487;487.1;274;305;405;407;275;306;406;408;277;308;278;309;279;310;280;311;281;312;283;314;455;455.1;456;456.1;444;444.1;445;445.1"
Index: FOIAVistA/tag/r/SURGERY-SR/SROAUTL1.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAUTL1.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAUTL1.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAUTL1 ;BIR/ADM - RISK ASSESSMENT UTILITY ;12/10/07
- ;;3.0; Surgery ;**38,47,81,125,153,160,166**;24 Jun 93;Build 6
+SROAUTL1 ;BIR/ADM - RISK ASSESSMENT UTILITY ;04/24/07
+ ;;3.0; Surgery ;**38,47,81,125,153,160**;24 Jun 93;Build 7
  S SRZ=0 F  S SRZ=$O(SRY(130,SRTN,SRZ)) Q:'SRZ  I SRY(130,SRTN,SRZ,"I")="" D TR S X=$T(@SRP),SRFLD=$P(X,";;",2),SRX(SRZ)=$P(SRFLD,"^",2)
  Q
@@ -15,11 +15,15 @@
 CID ;;394^History of MI Within Past 6 Months (Y/N)^MI Within 6 Months^
 CIE ;;395^Angina within One Month Preceding Surgery (Y/N)^Angina Within 1 Month^
+CIH ;;398^Quadriplegia/Tetraplegia/Quadriparesis (Y/N)^Quadriplegia^
+CII ;;399^Paraplegia (Y/N)^Paraplegia^
 BCF ;;236^Patient's Height^Height^
 BCG ;;237^Patient's Weight^Weight^
 CDF ;;346^Diabetes^Diabetes Mellitus^
 BJB ;;202^Current Smoker within 1 Year prior to Surgery (Y/N)^Current SmokerW/I 1 Year^
+BJBPA ;;202.1^Pack/Years^Pack/Years^
 BDF ;;246^ETOH Greater than 2 Drinks/Day (Y/N)^ETOH > 2 Drinks/Day^
 CBE ;;325^Dyspnea^Dyspnea^
 BCH ;;238^DNR Status (Y/N)^DNR Status^
+BDJ ;;240^Functional Health Status Prior to Current Illness^Pre-Illness Functional Status^
 DIB ;;492^Functional Health Status at Evaluation for Surgery^Preop Functional Status
 BJD ;;204^Ventilator Dependent Greater than 48 Hrs (Y/N)^Ventilator Dependent^
@@ -59,4 +63,2 @@
 DEC ;;453^Observation Discharge Date/Time
 DED ;;454^Observation Treating Specialty
-EAC ;;513^Surgery Consult Date
-EAF ;;516^Date Surgery Consult Requested
Index: FOIAVistA/tag/r/SURGERY-SR/SROAUTL3.m
===================================================================
--- FOIAVistA/trunk/r/SURGERY-SR/SROAUTL3.m	(revision 631)
+++ FOIAVistA/tag/r/SURGERY-SR/SROAUTL3.m	(revision 636)
@@ -1,4 +1,4 @@
-SROAUTL3 ;BIR/ADM - RISK ASSESSMENT UTILITY ;01/07/08
- ;;3.0; Surgery ;**38,47,63,77,142,163,166**;24 Jun 93;Build 6
+SROAUTL3 ;BIR/ADM - RISK ASSESSMENT UTILITY ;08/16/07
+ ;;3.0; Surgery ;**38,47,63,77,142,163**;24 Jun 93;Build 2
  ;
  ; Reference to ^DIC(45.3 supported by DBIA #218
@@ -15,5 +15,4 @@
  Q
 CARD ; allow input of cardiac risk assessment preop information
- N SRSDATE,SRNM,SRSOUT
  W @IOF,!,"Enter Cardiac Preoperative information",!!,"  1. Clinical Information",!,"  2. Cardiac Catheterization & Angiographic Data",!,"  3. Operative Risk Summary Data",!
  K DIR S DIR(0)="NO^1:3:0",DIR("?")="Enter the number of the selection to be edited." D ^DIR K DIR I $D(DTOUT)!$D(DUOUT)!'Y Q
